#include "epuck_aggregation_qt_user_functions.h"
#include <controllers/epuck_aggregation/epuck_aggregation.h>
#include <argos3/core/simulator/entity/controllable_entity.h>

using namespace argos;

/****************************************/
/****************************************/

CEpuckAggregationQTUserFunctions::CEpuckAggregationQTUserFunctions() {
   RegisterUserFunction<CEpuckAggregationQTUserFunctions,CEPuckEntity>(&CEpuckAggregationQTUserFunctions::Draw);
}

/****************************************/
/****************************************/

void CEpuckAggregationQTUserFunctions::Draw(CEPuckEntity& c_entity) {
//    CEpuckAggregation& cController = dynamic_cast<CEpuckAggregation&>(c_entity.GetControllableEntity().GetController());
  /* CEPuckForagingSingle::SFoodData& sFoodData = cController.GetFoodData();
   if(sFoodData.FoodStatus == CEPuckForagingSingle::have) {
      DrawCylinder(
         CVector3(0.0f, 0.0f, 0.3f),
         CQuaternion(),
         0.1f,
         0.05f,
         CColor::BLACK);
   }*/

    // draw robot id in front of it
    DrawText(CVector3(0.0, 0.0, 0.3),   // position
             c_entity.GetId().c_str()); // text
}

/****************************************/
/****************************************/

REGISTER_QTOPENGL_USER_FUNCTIONS(CEpuckAggregationQTUserFunctions, "epuck_aggregation_qt_user_functions")
